Bug 843841 - backport policy for rsyslog v5
Summary: backport policy for rsyslog v5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy
Version: 5.8
Hardware: All
OS: Linux
high
high
Target Milestone: beta
: ---
Assignee: Miroslav Grepl
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks: 820396
TreeView+ depends on / blocked
 
Reported: 2012-07-27 14:24 UTC by Karel Srot
Modified: 2013-01-08 03:32 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-2.4.6-330.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-08 03:32:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0060 normal SHIPPED_LIVE selinux-policy bug fix and enhancement update 2013-01-08 08:27:19 UTC

Description Karel Srot 2012-07-27 14:24:17 UTC
Description of problem:

This is required because of bug 820396 (rsyslog5).
Using our rsyslog sanity tests I was able to identify these AVCs:

type=AVC msg=audit(1343394532.740:166946): avc:  denied  { getsched } for  pid=1129 comm="rsyslogd" scontext=root:system_r:syslogd_t:s0 tcontext=root:system_r:syslogd_t:s0 tclass=process
type=AVC msg=audit(1343394532.760:166947): avc:  denied  { sys_nice } for  pid=1130 comm="rsyslogd" capability=23 scontext=root:system_r:syslogd_t:s0 tcontext=root:system_r:syslogd_t:s0 tclass=capability
type=AVC msg=audit(1343394532.760:166947): avc:  denied  { setsched } for  pid=1130 comm="rsyslogd" scontext=root:system_r:syslogd_t:s0 tcontext=root:system_r:syslogd_t:s0 tclass=process

Moreover we need to backport boolean
allow syslogd_t smtp_port_t : tcp_socket name_connect ; [ logging_syslogd_can_sendmail ]

Comment 1 Miroslav Grepl 2012-07-27 14:29:36 UTC
Yes, will be in the next build.

Comment 3 Miroslav Grepl 2012-07-30 06:38:55 UTC
Fixed in selinux-policy-2.4.6-330.el5

Comment 8 errata-xmlrpc 2013-01-08 03:32:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0060.html


Note You need to log in before you can comment on or make changes to this bug.